<?php

namespace Modules\Core\Enums;

enum SearchTypeEnum: string
{
    case PURCHASE = 'purchase';
    case BILLING = 'billing';
    case ASSET_PURCHASE = 'asset_purchase';

    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
